Subject: bug#33264: Whitelist vc-follow-symlinks as a safe file variable

From: Dmitry Gutov <[email-masked]>
Date: Mon, 15 Jul 2019 18:29:58 +0300

On 10.07.2019 16:11, Lars Ingebrigtsen wrote:
> "Eugene J." <[email-masked]> writes:
> 
>> It is useful to have directory local `vc-follow-symlinks` with value
>> `nil` when you have to use symlink paths in a particular case while
>> having it `ask` or `t` as a default.  Marking the variable as "safe
>> file variable" will reduce the friction.
> 
> That seems reasonable.  Does anybody else object to marking this
> variable as a safe file variable?

Sounds good to me.

I've tried to imagine a security issue stemming from it (e.g. linking to 
an external directory tree with its own dir-locals values, and then... 
what?), but didn't really come up with anything significant.